Team
List team members of the current subaccount via the API.
Team API
Read team membership data for the current subaccount. Requires an API token with the team.view ability.
List Team Members
GET /api/v1/team — Permission: team.view
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
search | string | No | Search by name or email |
per_page | integer | No | Results per page, 1–100 (default: 25) |
Example Request
curl -X GET "https://your-domain.com/api/v1/team" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"const response = await fetch("https://your-domain.com/api/v1/team", {
headers: {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
});
const data = await response.json();$ch = curl_init("https://your-domain.com/api/v1/team");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer YOUR_API_TOKEN",
"Accept: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);import requests
response = requests.get(
"https://your-domain.com/api/v1/team",
headers={
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
)
data = response.json()Example Response
{
"data": [
{
"id": 1,
"user_name": "Alex Rivera",
"user_email": "alex@company.com",
"role_name": "Full Access",
"status": "active",
"joined_at": "2025-01-05T10:00:00.000000Z"
},
{
"id": 2,
"user_name": "Sam Chen",
"user_email": "sam@company.com",
"role_name": "Sales Rep",
"status": "active",
"joined_at": "2025-02-15T09:00:00.000000Z"
}
],
"meta": { "current_page": 1, "last_page": 1, "per_page": 25, "total": 2 },
"links": { "first": "...", "last": "...", "prev": null, "next": null }
}
Was this article helpful?